(function() {
  'use strict';

  angular.module('inventoryMonitoringApp')
         .constant('VEEVA_MESSAGES', {
           contract: {msgName: 'CONTRACT_TAB', msgCategory: 'FieldReporting'},
           trend: {msgName: 'TRENDS_TAB', msgCategory: 'FieldReporting'},
           resetFilter: {msgName: 'RESET_FILTERS', msgCategory: 'FieldReporting'},
           brand: {msgName: 'BRAND_DROPDOWN', msgCategory: 'FieldReporting'},
           product: {msgName: 'PRODUCT_DROPDOWN', msgCategory: 'FieldReporting'},
           compliant: {msgName: 'COMPLIANT', msgCategory: 'FieldReporting'},
           nonCompliant: {msgName: 'NON_COMPLIANT', msgCategory: 'FieldReporting'},
           nonContracted: {msgName: 'NON_CONTRACTED', msgCategory: 'FieldReporting'},
           productsSelected: {msgName: 'PRODUCTS_SELECTED', msgCategory: 'FieldReporting'},
           productsSelectedContract: {msgName: 'PRODUCTS_SELECTED_CONTRACT', msgCategory: 'FieldReporting'},
           productsContracted: {msgName: 'PRODUCTS_CONTRACTED', msgCategory: 'FieldReporting'},
           products: {msgName: 'PRODUCTS', msgCategory: 'FieldReporting'},
           orderData: {msgName: 'ORDER_DATA', msgCategory: 'FieldReporting'},
           contractNumberFacing: {msgName: 'CONTRACTED_NUM_FACINGS', msgCategory: 'FieldReporting'},
           filterConsumerPrice: {msgName: 'FILTER_CONSUMER_PRICE', msgCategory: 'FieldReporting'},
           average: {msgName: 'AVERAGE', msgCategory: 'FieldReporting'},
           sellout: {msgName: 'SELLOUT', msgCategory: 'FieldReporting'},
           previousIMStock: {msgName: 'PREVIOUS_IM_STOCK', msgCategory: 'FieldReporting'},
           sellInPeriod: {msgName: 'SELLIN_PERIOD', msgCategory: 'FieldReporting'},
           currentStock: {msgName: 'CURRENT_STOCK', msgCategory: 'FieldReporting'},
           contractedFacings: {msgName: 'CONTRACTED_FACINGS', msgCategory: 'FieldReporting'},
           contractedPosition: {msgName: 'CONTRACTED_POSITION', msgCategory: 'FieldReporting'},
           contractedLayer: {msgName: 'CONTRACTED_LAYER', msgCategory: 'FieldReporting'},
           inventoryMonitoringReport: {msgName: 'INVENTORY_MONITORINGS_REPORT', msgCategory: 'Inventory_Management'},
           allProducts: {msgName: 'ALL_PRODUCTS', msgCategory: 'Analytics'},
           allBrands: {msgName: 'ALL_BRANDS', msgCategory: 'FieldReporting'},
           name: {msgName: 'Name', msgCategory: 'Common'},
           noContractSelected: {msgName: 'NO_CONTRACT_SELECTED', msgCategory: 'FieldReporting'}
         });
})();
